# PiKVM Handbook

**Welcome to the [PiKVM](https://pikvm.org) Handbook** - a complete documentation of Open and cheap DIY IP-KVM based on Raspberry Pi. Here you will find comprehensive information about all aspects of the operation of PiKVM, get answers to your most difficult questions and be able to solve the problems that have arisen.


## Where to start?

* **Learn about the [basics of working with PiKVM](first_steps.md).**
* If you are a happy **PiKVM V4/V3** owner then we have some special guides for you:
    * [PiKVM V4 Mini & Plus](v4.md)
    * [PiKVM V3 HAT / Pre-Assembled](v3.md)
* **Explore the features of PiKVM** using the site's table of contents.
* **If you encounter a problem**, take a look at the **[FAQ](faq.md)**, but if nothing helped, contact our **[Discord chat](https://discord.gg/bpmXfz5)** - experienced users and the PiKVM team will definitely help you.


## Links

* Official website: **https://pikvm.org**
* Our GitHub: **https://github.com/pikvm**
* Discord server: [![Discord](https://img.shields.io/discord/580094191938437144?logo=discord)](https://discord.gg/bpmXfz5)
* Subreddit: [![Reddit](https://img.shields.io/badge/reddit-join-orange?logo=reddit)](https://www.reddit.com/r/pikvm)
